package com.jeffknecht.dynadao.annotation;

import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;

/**
 * Specifies a SQL statement on a DynaDaoProxy method to be used
 * for retrieving a single DTO or a list of DTOs.
 * 
 * @author jeff
 *
 */
@Retention(RetentionPolicy.RUNTIME)
public @interface Sql {
	/**
	 * The Sql statement to be used for the query.  This statement must be compatible
	 * with Spring NamedParameterJdbcTemplate.
	 * 
	 * @return
	 */
	String value();
}
